<?php
/**
 * @file
 * commerce_eu_vat_cz.rules_defaults.inc
 */

/**
 * Impliments hook_default_rules_configuration_alter().
 */
function commerce_eu_vat_cz_default_rules_configuration_alter(&$configs) {

  $country = 'CZ';
  // Add a condition to each component.
  if (variable_get('site_default_country', NULL) != $country) {
    $tax_rates = commerce_tax_rates();
    foreach ($tax_rates as $tax_rate) {
      if (strpos($tax_rate['type'], 'eu_vat') === 0) {
        if ($tax_rate['module'] == 'commerce_eu_vat_cz') {
          $configs[$tax_rate['rules_component']]
          ->condition('component_commerce_eu_vat_rules_place_of_supply', array('commerce_order:select' => 'commerce-line-item:order', 'country_list' => array($country)));
        }
        else {
          $configs[$tax_rate['rules_component']]
          ->condition(rules_condition('component_commerce_eu_vat_rules_place_of_supply', array('commerce_order:select' => 'commerce-line-item:order', 'country_list' => array($country)))->negate());
        }
      }
    }
  }

  // Add date condition 2013 17.5% VAT rate.
  $configs['commerce_tax_rate_eu_vat_cz_standard_175']
  ->condition(rules_or()
    ->condition('data_is', array('data:select' => 'commerce-line-item:order:created', 'op' => '>', 'value' => strtotime('2013-01-01')))
    ->condition(rules_and()
      ->condition('data_is_empty', array('data:select' => 'commerce-line-item:order:created'))
      ->condition('data_is', array('data:select' => 'site:current-date', 'op' => '>', 'value' => strtotime('2013-01-01')))
    )
  );

  // Add date condition to 20% VAT rate.
  $configs['commerce_tax_rate_eu_vat_cz_standard_20']
  ->condition(rules_or()
    ->condition('data_is', array('data:select' => 'commerce-line-item:order:created', 'op' => '<', 'value' => strtotime('2013-01-01')))
    ->condition(rules_and()
      ->condition('data_is_empty', array('data:select' => 'commerce-line-item:order:created'))
      ->condition('data_is', array('data:select' => 'site:current-date', 'op' => '<', 'value' => strtotime('2013-01-01')))
    )
  );

  // Add date condition to 10% VAT rate.
  $configs['commerce_tax_rate_eu_vat_cz_reduced_10']
  ->condition(rules_or()
    ->condition('data_is', array('data:select' => 'commerce-line-item:order:created', 'op' => '<', 'value' => strtotime('2013-01-01')))
    ->condition(rules_and()
      ->condition('data_is_empty', array('data:select' => 'commerce-line-item:order:created'))
      ->condition('data_is', array('data:select' => 'site:current-date', 'op' => '<', 'value' => strtotime('2013-01-01')))
    )
  );

}
